with Messages,Reps,Rounding,Basics;
use  Messages,Reps;
with Intervals,Intervals.Ops,Intervals.IO;
use  Intervals,Intervals.Ops,Intervals.IO;

procedure Aggs3 is
   subtype Scalar is Interval;
   PDeg: constant Positive := 100;          -- degree of Taylor polynomials
   package Basic is new Basics (PDeg => PDeg, Scalar => Scalar);
   use Basic;
   
begin
   if Check(100.0,350.001,"o3") then
      Show("OK");
   else
      Show("Failed");
   end if;
end Aggs3;
