with Reps.Ops, Ada.Numerics.Generic_Elementary_Functions;

pragma Elaborate_All (Ada.Numerics.Generic_Elementary_Functions);

package body Numerics.Ops is

  package Numeric_EF is new Ada.Numerics.Generic_Elementary_Functions(Numeric);

  function Exp(S: Numeric) return Numeric renames Numeric_EF.Exp;
  function Log(S: Numeric) return Numeric renames Numeric_EF.Log;
  function Sqrt(S: Numeric) return Numeric renames Numeric_EF.Sqrt;
  function Widen(S: Numeric) return Numeric renames Ball;

end Numerics.Ops;
